Skip to content

Gets all of the application processes in the system.

Request

This method will scan all application processes and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/applicationProcesses/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The application processeswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
allow_applicants_to_update_in_portalboolean(Allow Applicants To Update In Portal)

Allow for applicants to update the application while it is under review

applicant_update_optionsobject(Applicant Update Options)required
application_confirmation_email_optionsobject(Application Confirmation Email Options)required
application_expiration_rule_set_idstring(Application Expiration Rule Set)

The rule set for calculating the expiration of an application submitted by this process

application_form_idstring(Application Form)certifications-applications__.*required

The certification application form

automatically_approve_applications_once_requirements_are_metboolean(Automatically Approve Applications Once Requirements Are Met)

If true, applications in this process are marked approved once requirements are met. Otherwise they are pending approval

available_to_training_providersboolean(Available To Training Providers)

If true, this process is available to training providers

certification_activation_email_optionsobject(Certification Activation Email Options)required
checkout_settingsobject(Checkout Settings)required
contact_form_optionsobject(Contact Form Options)required
course_registration_optionsobject(Course Registration Options)required
customer_typestring(Customer Type)required
Enum:"contact""organization"
descriptionstring(Description)

A description of the process

display_in_portalboolean(Display In Portal)

Whether or not to hide in the portal

display_in_portal_asstring(Display In Portal As)

How to display this process in the portal

display_ordernumber, (float)(Display Order)

Optional order to display the process

eligibility_criteriaobject(Eligibility Criteria)required

The criteria to use

enable_application_confirmation_emailboolean(Enable Application Confirmation Email)

Whether or not an email should be sent when the application is received

enable_certification_activation_emailboolean(Enable Certification Activation Email)

Whether or not to send an email when the certification is actually activated

enable_course_registrationboolean(Enable Course Registration)

If true, users can register for courses while applying for the certification

enable_eligibility_criteriaboolean(Enable Eligibility Criteria)

If true, only certain eligible persons can proceed with this process

enable_exam_registrationboolean(Enable Exam Registration)

If true, users can register for exams while applying for the certification

enable_grandfather_restrictionsboolean(Enable Grandfather Restrictions)

Only people who are grandfathered into other certification programs may complete this process

exam_registration_optionsobject(Exam Registration Options)required
expiration_rule_set_idstring(Expiration Rule Set)required

The rule set for calculating the expiration of a certification generated by this process

fee_idstring(Fee)

The baseline fee

grandfather_restrictionsobject(Grandfather Restrictions)required
idstring(ID)^[\w|-]+$required

The unique, string identifier of this process

is_activeboolean(Is Active)

Whether or not this process is active

namestring(Name)required

The name of the process

organization_form_optionsobject(Organization Form Options)required
organization_type_idsArray of strings, non-empty(Organization Types)required
override_checkout_settingsboolean(Override Checkout Settings)

Whether or not to override POC settings

prefill_application_with_profile_informationboolean(Prefill Application With Profile Information)

If true, data stored in the certification profile is used as the starting point for the application

program_idstring(Program)required

The program to which this process is tied

reinstatement_optionsobject(Reinstatement Options)required
renewal_optionsobject(Renewal Options)required
requirementsArray of objects
restrict_organization_typesboolean(Restrict Organization Types)

Restrict to certain types of organizations

show_contact_formboolean(Show Contact Form)

Whether or not to show a contact form

show_organization_formboolean(Show Organization Form)

Whether or not to show an organization form

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

transfer_optionsobject(Transfer Options)
typestring(Type)
Enum:"certification""reinstatement""renewal""transfer"
]
Response
[ { "allow_applicants_to_update_in_portal": true, "applicant_update_options": { … }, "application_confirmation_email_options": { … }, "application_expiration_rule_set_id": "string", "application_form_id": "string", "automatically_approve_applications_once_requirements_are_met": true, "available_to_training_providers": true, "certification_activation_email_options": { … }, "checkout_settings": { … }, "contact_form_options": { … }, "course_registration_options": { … }, "customer_type": "contact", "description": "string", "display_in_portal": true, "display_in_portal_as": "string", "display_order": 0.1, "eligibility_criteria": { … }, "enable_application_confirmation_email": true, "enable_certification_activation_email": true, "enable_course_registration": true, "enable_eligibility_criteria": true, "enable_exam_registration": true, "enable_grandfather_restrictions": true, "exam_registration_options": { … }, "expiration_rule_set_id": "string", "fee_id": "string", "grandfather_restrictions": { … }, "id": "string", "is_active": true, "name": "string", "organization_form_options": { … }, "organization_type_ids": [ … ], "override_checkout_settings": true, "prefill_application_with_profile_information": true, "program_id": "string", "reinstatement_options": { … }, "renewal_options": { … }, "requirements": [ … ], "restrict_organization_types": true, "show_contact_form": true, "show_organization_form": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "transfer_options": { … }, "type": "certification" } ]